EDIT - bug #6493

Another reproducable "multiple representations” exception for name relationships
03/10/2017 09:09 PM - Andreas Mdller

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version: Release 4.5

Description
How to reproduce

* Open new taxon in name editor with accepted name "Correctly spelled Taxon" and synonym "Uncollectly spelled Taxun"
Save, close and reopen

Add name relationhip "is misspelling for" between synonym and accepted taxon

e Save => exception

Note: probably it is important that both names of the relationship already exist in the name editor

The issue was observed on 4.5.1 but was reproducable in 4.6-SNAPSHOT an 2017-03-10

History

#1 - 03/10/2017 09:13 PM - Andreas Miiller

- Description updated

- Category set to taxeditor

- Assignee set to Katja Luther

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.7

- Found in Version set to Release 4.6

login : admin
editor version : 4.6.0.201703101454
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.1.0.0.201607300000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxonomy.cdm.model.name.Bota
nicalName#16353] are being merged. Detached: [Correctly spelled Taxon]; Detached: [Correctly spelled Taxon]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotAllowedObserv
er.java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext.java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventListener. java:
304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener.java:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade. java:111)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventListener. java
:425)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsTransient (DefaultMergeEventListener. java
:232)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener.java:173)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)
org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade. java:363)
org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)
org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade. java:162)
org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)
org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventListener. java:46

org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventListener. java:

org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener.java:170)
org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)
org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)
org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)
org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)
org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade. java:162)
org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)
org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventListener. java:46

org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventListener. java:

org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. java:170)
org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. java:69)
org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:822)
org.hibernate.internal.SessionImpl.merge (SessionImpl.java:827)
eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. java:256)
eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:205)
eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase.java:35)
sun.reflect.GeneratedMethodAccessor2080.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:497)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (RAopUtils. java:302)
org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation

.java:190)

at
7)
at

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15

org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (TransactionI

nterceptor.java:99)

at

org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio

nAspectSupport. java:281)

at
6)

at
9)

org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor.java:9

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)
eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:316
access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
.access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
access.ExceptionTranslationFilter.doFilter (ExceptionTranslationFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:330

.authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:330

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.java:120)

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilter. java:64)

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi
stenceFilter. java:91)
eclipse. jface.operation.ModalContext.run (ModalContext.java:372)
eclipse.jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)
.eclipse.swt.custom.BusylIndicator.showWhile (BusyIndicator. java:70)

eclipse. jface.window.ApplicationWindow.run (ApplicationWindow. java:756)
eclipse.ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)
.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:285)
eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:264)
eclipse.ui.internal.SaveableHelper.savePart (SaveableHelper. java:156)
.eclipse.ui.internal.EditorManager.savePart (EditorManager. java:1399)
eclipse.ui.internal.WorkbenchPage.savePart (WorkbenchPage. java:3416)
eclipse.ui.internal.WorkbenchPage.saveEditor (WorkbenchPage. java:3429)
.eclipse.ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)
eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)
eclipse.core.commands.Command.executeWithChecks (Command. java:476)
.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:508)
eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.java:169)
eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. java:241)
.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem. java:829)
eclipse.ui.menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)
eclipse.ui.menus.CommandContributionItem$5.handleEvent (CommandContributionItem. java:805)
.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
eclipse.swt.widgets.Widget.sendEvent (Widget.java:1053)
eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench.java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench.java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.java:110

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplauncher. java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)

#2 - 03/10/2017 09:22 PM - Andreas Miiller

- Found in Version changed from Release 4.6 to Release 4.5

There was a similar reproducable issue in bulk editor in v4.5.1 but | could not reproduce this in 4.6-SNAPSHOT anymore. Maybe it is fixed already.
Maybe we can copy the solution from bulk editor to name editor.

login : admin
editor version : 4.5.1
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryo_nepenthaceae
schema version : 4.1.0.0.201607300000
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_121
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxonomy.cdm.model.name.Homo
typicalGroup#115] are being merged. Detached: [HomotypicalGroup#ll5<a04af27a-5fcf-439d-ab35-bfdee3f3b664>]; De
tached: [HomotypicalGroup#11l5<a04af27a-5fcf-439d-ab35-bfdee3£f3b664>]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotAllowedObserv
er.java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext.java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventListener. java:
304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener.java:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade. java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventListener. java:46

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventListener. java:
327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. java:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade. java:111)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventListener. java
:425)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsTransient (DefaultMergeEventListener. java
:232)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. java:173)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener.java:170)
org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. java:69)
org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:822)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:827)
eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. java:256)
eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:205)
eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:35)
sun.reflect.GeneratedMethodAccessor145501.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (RAopUtils. java:302)
org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation

.java:190)

at
7)
at

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15

org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (TransactionI

nterceptor.java:99)

at

org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio

nAspectSupport. java:281)

at
at
9)

at

at

at

at

at

at

at

org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor.java:9
org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)
com.sun.proxy.$Proxyl0246.merge (Unknown Source)
sun.reflect.GeneratedMethodAccessor145501.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)
org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation
ceptor.

at
9)
at
at
at
at
at
at
at

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15

org.springframework.remoting.support.RemoteInvocationTraceInterceptor.invoke (RemoteInvocationTracelInter
java:78)
org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)
com.sun.proxy.$Proxyl0324.merge (Unknown Source)

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)
org.springframework.remoting.support.DefaultRemotelnvocationExecutor.invoke (DefaultRemotelnvocationExec

utor.java:39)

at

org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationBasedExporter

.java:78)

at

org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (RemoteInvocati

onBasedExporter. java:114)

at

org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvokerServiceExp

orter.java:74)

at
at
at
at
at
at
at
at
at
at
at

at

org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdapter.java:51)
org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet. java:959)
org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)
org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)
org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet.java:871)
javax.servlet.http.HttpServlet.service (HttpServlet. java:707)
org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)
javax.servlet.http.HttpServlet.service (HttpServlet. java:790)
org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1669)
org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:316

org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. java:346)
web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:262)
eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:12

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
.servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
server.handler.ContextHandler.doHandle (ContextHandler. java:1127)
servlet.ServletHandler.doScope (ServletHandler. java:515)
session.SessionHandler.doScope (SessionHandler. java:185)
handler.ContextHandler.doScope (ContextHandler. java:1061)
handler.ScopedHandler.handle (ScopedHandler. java:141)
.handler.ContextHandlerCollection.handle (ContextHandlerCollection. java:215)
.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

Server.handle (Server.java:497)

.HttpChannel.handle (HttpChannel. java:310)
HttpConnection.onFillable (HttpConnection. java:257)
io.AbstractConnection$2.run (AbstractConnection. java:540)
util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

java.lang.Thread.run (Thread. java:745)
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTracelfPossible (Remotelnvoc

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocationResult (Remot
eInvocationBasedAccessor. java:85)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
com.sun.proxy.$Proxy8l.merge (Unknown Source)
eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput.save (NameEditorInput.java:131)
eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput.save (NameEditorInput. java:l)
#3 - 03/10/2017 09:23 PM - Andreas Miuller

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

ui.
ui.

ui

ui.

texteditor.

.texteditor.
texteditor.
.texteditor.

texteditor

AbstractDocumentProvider$DocumentProviderOperation.run (AbstractDocumentProvid

AbstractDocumentProvider.executeOperation (AbstractDocumentProvider. java:553)
AbstractDocumentProvider.saveDocument (AbstractDocumentProvider. java:629)
AbstractTextEditor.performSave (AbstractTextEditor. java:5048)

.AbstractTextEditor.doSave (AbstractTextEditor. java:4837)

eu.etaxonomy.taxeditor.annotatedlineeditor.AnnotatedLineEditor.doSave (AnnotatedLineEditor. java:250)
eu.etaxonomy.taxeditor.bulkeditor.BulkEditor.doSave (BulkEditor. java:263)

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

- Description updated

ui.
ui.
ui.
ui.
ui.

texteditor.

AbstractTextEditor$TextEditorSavable.doSave (AbstractTextEditor.java:7177)

Saveable.doSave (Saveable. java:214)
internal.SaveableHelper.doSaveModel (SaveableHelper. java:349)
internal.SaveableHelper$3.run (SaveableHelper. java:195)
internal.SaveableHelper$5.run (SaveableHelper. java:277)
jface.operation.ModalContext.runInCurrentThread (ModalContext. java:464)
jface.operation.ModalContext.run (ModalContext.java:372)
jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)
swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)

#5 - 05/10/2017 11:27 AM - Katja Luther

- Status changed from New to In Progress

sometimes it works and sometimes not...
rebuild the usecase described above it works, but after closing, reopening, editing, deleting the exception appears again.

#6 - 06/20/2017 05:56 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#7 - 07/21/2017 11:45 AM - Katja Luther

- Target version changed from Release 4.8 to Release 4.10

#8 - 09/19/2017 02:38 PM - Katja Luther

- Status changed from In Progress to Worksforme

- Target version deleted (Release 4.10)

Could not reproduce it anymore, played around a lot, but could not create the exception. Tried to open several taxa with nameRelationships and
typeDesignations, but no multipleRepresentation Exceptions appeared. Maybe this is a side effect of the e4 migration of the details view?
| close this ticket, but it is still connected to the remaining multipe representation exception ticket, so we can reopen it, if the problem appears again.
